# $Revision: 1.140 $, $Date: 2012/05/12 10:01:12 $
#
# TODO:
#	- conditional build: X11, smsd, security, and static subpackage
#
# Conditional build:
%bcond_without	bluetooth	# build without bluetooth support
%bcond_without	ical		# build without iCalendar support
%bcond_without	irda		# build without IrDA support
%bcond_without	usb		# build without USB support (for DKU2 cables)
%bcond_without	pcsc		# build without PC/SC Lite support (for Smart Card readers)
%bcond_without	x11		# build without x11
#
Summary:	Linux/Unix tool suite for mobile phones
Summary(pl.UTF-8):	Linuksowy/uniksowy zestaw narzędzi dla telefonów komórkowych
Name:		gnokii
Version:	0.6.31
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://www.gnokii.org/download/gnokii/%{name}-%{version}.tar.bz2
# Source0-md5:	d9627f4a1152d3ea7806df4532850d5f
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.smsd.config
Source4:	%{name}.smsd.init
Patch0:		%{name}-pld.patch
URL:		http://www.gnokii.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_bluetooth:BuildRequires:	bluez-libs-devel >= 2.8-2}
BuildRequires:	flex
BuildRequires:	gettext-autopoint
BuildRequires:	gtk+2-devel >= 2.0
BuildRequires:	intltool
%{?with_ical:BuildRequires:	libical-devel}
BuildRequires:	libtool
%{?with_usb:BuildRequires:	libusb-compat-devel}
BuildRequires:	mysql-devel
%{?with_pcsc:BuildRequires:	pcsc-lite-devel}
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXpm-devel
Requires:	libgnokii = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver
for mobile phones.

%description -l pl.UTF-8
Gnokii jest zestawem narzędzi dla Linuksa/Uniksa, oraz sterownikiem
modemu/faksu dla telefonów komórkowych.

%package X11
Summary:	Graphical Linux/Unix tool suite for mobile phones
Summary(pl.UTF-8):	Zestaw narzędzi z graficznym interfejsem dla telefonów komórkowych
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description X11
Xgnokii is graphical Linux/Unix tool suite for mobile phones. It
allows you to edit your contacts book, send/read SMS's from/in
computer and more other features.

%description X11 -l pl.UTF-8
Xgnokii jest zestawem narzędzi z graficznym interfejsem użytkownika do
pracy z telefonami komórkowymi. Pozwalają one na modyfikowanie spisu
telefonów, wysyłanie/czytanie wiadomości SMS i wiele innych rzeczy.

%package -n libgnokii
Summary:	A gnokii shared library
Summary(pl.UTF-8):	Biblioteka współdzielona gnokii
Group:		Libraries
Conflicts:	gnokii < 1:0.5.10-0.2

%description -n libgnokii
A gnokii shared library.

%description -n libgnokii -l pl.UTF-8
Biblioteka współdzielona gnokii.

%package -n libgnokii-devel
Summary:	libgnokii heades files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgnokii
Group:		Development/Libraries
Requires:	bluez-libs-devel >= 2.8-2
Requires:	libgnokii = %{epoch}:%{version}-%{release}
Requires:	libusb-compat-devel
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXpm-devel
Obsoletes:	gnokii-devel

%description -n libgnokii-devel
libgnokii header files.

%description -n libgnokii-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgnokii.

%package -n libgnokii-static
Summary:	Static libgnoki library
Summary(pl.UTF-8):	Statyczna biblioteka libgnokii
Group:		Development/Libraries
Requires:	libgnokii-devel = %{epoch}:%{version}-%{release}
Obsoletes:	gnokii-devel

%description -n libgnokii-static
Static version of libgnokii library.

%description -n libgnokii-static -l pl.UTF-8
Statyczna wersja biblioteki libgnokii.

%package smsd
Summary:	Daemon for handling incoming and outgoing SMSes using libgnokii
Summary(pl.UTF-8):	Serwer do zarządzania przychodzacymi i wychodzacymi SMS-ami przy użyciu gnokii
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	gnokii = %{epoch}:%{version}-%{release}
Requires:	rc-scripts
Obsoletes:	smstools

%description smsd
The SMSD (SMS daemon) program is intended for receiving and sending
SMSes.

%description smsd -l pl.UTF-8
Program SMSD (demon SMS) służy do odbierania i wysyłania SMS-ów.

%package smsd-mysql
Summary:	MySQL plugin for gnokii-smsd
Summary(pl.UTF-8):	Wtyczka MySQL dla gnokii-smsd
Group:		Daemons
Requires:	gnokii-smsd = %{epoch}:%{version}-%{release}

%description smsd-mysql
MySQL plugin for gnokii-smsd.

%description smsd-mysql -l pl.UTF-8
Wtyczka MySQL dla gnokii-smsd.

%package smsd-pgsql
Summary:	PostgreSQL plugin for gnokii-smsd
Summary(pl.UTF-8):	Wtyczka PostgreSQL dla gnokii-smsd
Group:		Daemons
Requires:	gnokii-smsd = %{epoch}:%{version}-%{release}

%description smsd-pgsql
PostgreSQL plugin for gnokii-smsd.

%description smsd-pgsql -l pl.UTF-8
Wtyczka PostgreSQL dla gnokii-smsd.

%package smsd-sqlite
Summary:	SQLite plugin for gnokii-smsd
Summary(pl.UTF-8):	Wtyczka SQLite dla gnokii-smsd
Group:		Daemons
Requires:	gnokii-smsd = %{epoch}:%{version}-%{release}

%description smsd-sqlite
SQLite plugin for gnokii-smsd.

%description smsd-sqlite -l pl.UTF-8
Wtyczka SQLite dla gnokii-smsd.

%package smsd-file
Summary:	file plugin for gnokii-smsd
Summary(pl.UTF-8):	Wtyczka obsługi plików dla gnokii-smsd
Group:		Daemons
Requires:	gnokii-smsd = %{epoch}:%{version}-%{release}

%description smsd-file
Plain file plugin for gnokii-smsd

%description smsd-file -l pl.UTF-8
Wtyczka obsługi plików dla gnokii-smsd.

%prep
%setup -q
%patch0 -p1

%build
rm -rf autom4te.cache
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-security \
	%{!?with_x11:--with-xgnokiidir=%{_prefix}} \
	%{!?with_ical:--disable-libical} \
	%{!?with_usb:--disable-libusb} \
	%{!?with_irda:--disable-irda} \
	%{!?with_bluetooth:--disable-bluetooth} \
	--enable-smsd \
	%{?debug:--enable-fulldebug} \
	%{!?with_pcsc:--disable-libpcsclite}
#	%{!?debug:--disable-debug} \
#	%{!?debug:--disable-xdebug} \
#	%{!?debug:--disable-rlpdebug} \

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d,logrotate.d} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}/{x,}gnokii} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_pixmapsdir},%{_desktopdir},%{_var}/log/{smsd,archive/smsd}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd xgnokii
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ..

install Docs/sample/gnokiirc $RPM_BUILD_ROOT%{_sysconfdir}/gnokiirc

install -d $RPM_BUILD_ROOT%{_datadir}/xgnokii/xpm
install xgnokii/xpm/* $RPM_BUILD_ROOT%{_datadir}/xgnokii/xpm/

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/smsd
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/smsd

# do not complain about unpackaged files (we package them with %%doc anyway)
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/smsd/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libgnokii -p /sbin/ldconfig
%postun -n libgnokii -p /sbin/ldconfig

%post smsd
/sbin/chkconfig --add smsd
%service smsd restart "smsd daemon"

%preun smsd
if [ "$1" = "0" ]; then
	%service smsd stop
	/sbin/chkconfig --del smsd
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Docs/{CREDITS,DataCalls-QuickStart,KNOWN_BUGS,README*,Bugs,FAQ,*.txt,protocol}
%doc Docs/{sample,gnokii-{hackers-howto,ir-howto,IrDA-Linux},gnokii.nol} utils/gnapplet.sis
%doc TODO ChangeLog MAINTAINERS
%attr(755,root,root) %{_bindir}/gnokii
%attr(755,root,root) %{_bindir}/sendsms
%attr(755,root,root) %{_bindir}/gnokiid
%attr(755,root,root) %{_sbindir}/mgnokiidev
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gnokiirc
%{_mandir}/man1/[!x]*
%{_mandir}/man8/gnokiid.*
%{_mandir}/man8/mgnokiidev.*

%files X11
%defattr(644,root,root,755)
%doc xgnokii/{ChangeLog,README.vcard}
%attr(755,root,root) %{_bindir}/xgnokii
%dir %{_datadir}/xgnokii
%{_libdir}/xgnokii
%{_datadir}/xgnokii/xpm
%{_desktopdir}/gnokii.desktop
%{_desktopdir}/xgnokii.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/xgnokii.1x*

%files -n libgnokii
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnokii.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnokii.so.?

%files -n libgnokii-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnokii.so
%{_libdir}/libgnokii.la
%{_includedir}/*.h
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%files -n libgnokii-static
%defattr(644,root,root,755)
%{_libdir}/libgnokii.a

%files smsd
%defattr(644,root,root,755)
%doc smsd/ChangeLog smsd/README smsd/README.MySQL smsd/README.Tru64 smsd/action smsd/*.sql
%attr(755,root,root) %{_bindir}/smsd
%dir %{_libdir}/smsd
%{_mandir}/man8/smsd.*
%attr(754,root,root) /etc/rc.d/init.d/smsd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/smsd
%attr(2750,root,logs) %dir /var/log/smsd
%attr(2750,root,logs) %dir /var/log/archive/smsd

%files smsd-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/smsd/libsmsd_mysql.so

%files smsd-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/smsd/libsmsd_pq.so

%files smsd-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/smsd/libsmsd_sqlite.so

%files smsd-file
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/smsd/libsmsd_file.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnokii.spec,v $
Revision 1.140  2012/05/12 10:01:12  blekot
- updated to 0.6.31
- removed double --enabled-security in configure
- added %{__make} install in xgnokii directory

Revision 1.139  2011/05/17 07:19:53  lisu
- updated to 0.6.30
- sqlite plugin for smsd

Revision 1.138  2011/05/16 13:30:29  arekm
- release 3

Revision 1.137  2011/03/31 18:10:54  arekm
- release 2

Revision 1.136  2011/02/05 02:07:54  sparky
- make sure package name and name specified in %files match

Revision 1.135  2010/05/30 12:48:07  arvenil
- up to 0.6.29
- added ghost
- release 1

Revision 1.134  2009/12/01 00:23:53  sparky
- BR: intltool

Revision 1.133  2009/06/17 19:27:27  hawk
- release 5

Revision 1.132  2009/02/23 22:05:13  arekm
- release 4

Revision 1.131  2009/02/04 12:46:35  hawk
- BR, R libusb-compat to make it work with libusb 1.0.0

Revision 1.130  2009/01/28 10:30:15  hawk
- release 2

Revision 1.129  2008/12/27 11:47:11  adamg
- updated to 0.6.27; soname changed

Revision 1.128  2008/11/10 19:15:25  glen
- release 4

Revision 1.127  2008/09/07 17:53:04  adamg
- release 3 (rebuild agains bluez-libs-4.2)

Revision 1.126  2008/08/31 17:01:48  arekm
- release 2

Revision 1.125  2008-06-01 13:39:43  adamg
- updated to 0.6.26

Revision 1.124  2008-03-29 22:39:20  wolvverine
- up to 0.6.24

Revision 1.123  2008-03-19 16:52:05  djrzulf
- updated to 23,

Revision 1.122  2007-12-23 12:12:13  gotar
- upgraded to 0.6.22, updated %doc,
- bluetooth, ical, irda, usb, pcsc bconds,
- fixed smsd plugins separation.

Revision 1.121  2007-11-18 18:20:06  arekm
- rel 3

Revision 1.120  2007-10-24 17:39:44  wrobell
- rel. 2 to rebuild for all architectures

Revision 1.119  2007/08/19 22:17:18  gotar
- upgraded to 0.6.18,
- added TODOs

Revision 1.118  2007/04/02 17:00:12  baggins
- rel 7

Revision 1.117  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.116  2007/02/17 16:00:11  glen
- rel 6

Revision 1.115  2007/02/17 15:10:29  megabajt
- missing dir
- release 5

Revision 1.114  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.113  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.112  2007/01/05 18:38:43  arekm
- rel 4

Revision 1.111  2006/10/02 22:35:40  charles
- BR: and -devel R: libusb-devel (for libusb support)
- rel. 3

Revision 1.110  2006/09/25 11:13:15  glen
- merge from AC-branch

Revision 1.109  2006/09/24 20:42:27  glen
- merge from AC-branch:
  - added init scritps and sysconfig for smsd with multiple phone support.
  - added logrotate configuration for smsd

Revision 1.108  2006/09/24 18:53:42  luzik
- updated to 0.6.14

Revision 1.107  2006/09/11 00:34:10  shadzik
- fixed packaging

Revision 1.106  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.105  2006/08/27 10:38:44  arekm
- rel 2; rebuild

Revision 1.104  2006/07/28 14:06:35  tommat
- uncommented clean files

Revision 1.103  2006/07/27 14:20:26  tommat
- version 0.6.13

Revision 1.102  2006/03/26 20:48:28  arekm
- rel 2; th BR and R

Revision 1.101  2006/03/19 19:05:08  gotar
- updated to 0.6.12

Revision 1.100  2006/03/04 02:21:57  gotar
- use libical when we'll have it, use %debug

Revision 1.99  2006/02/22 20:28:46  tiwek
- add xpm files

Revision 1.98  2006/02/22 20:01:32  tiwek
- up to 0.6.11

Revision 1.97  2005/12/19 07:28:31  qboosh
- BR: pkgconfig

Revision 1.96  2005/12/14 21:25:46  gotar
- has switched to gtk+2

Revision 1.95  2005/11/27 11:01:53  qboosh
- pl fixes

Revision 1.94  2005/11/27 10:04:25  adamg
- updated to 0.6.10
- split smsd plugins into separate packages
- adapterized
- release 1

Revision 1.93  2005/10/21 09:33:59  speedo
- updated to 0.6.9

Revision 1.92  2005/10/03 14:20:32  qboosh
- restored clean

Revision 1.91  2005/10/02 17:42:45  tiwek
- moved man for xgnokii to _mandir
- STBR

Revision 1.90  2005/09/02 18:45:51  qboosh
- fixed and finished pl for -smsd, cleaned up its file list
- use standard libtool perms for library installation (in smsdlibs patch)

Revision 1.89  2005/09/01 14:19:49  matkor
- TODO added.

Revision 1.88  2005/09/01 14:14:26  matkor
- fixed smsd and smsd libs permissions
- fixed smsd Makefile to install psql and msql modules in $libdir/smsd/
- commited on behalf of Lukasz Michalski <l.michalski@ant.gliwice.pl>

Revision 1.87  2005/05/18 05:26:27  tiwek
- up to 0.6.7
- release 0.1, not tested

Revision 1.86  2005/05/12 17:01:48  adamg
- release 2 for Th

Revision 1.85  2005/05/12 16:55:18  adamg
- updated to 0.6.6
- gcc4 patch not needed anymore

Revision 1.84  2005/05/01 20:58:09  adamg
- updated to 0.6.5
- updated gcc4.patch
- dropped savesms-date.patch (applied upstream)

Revision 1.83  2005/04/28 16:40:26  witekfl
- added gcc4.patch

Revision 1.82  2005/04/24 08:38:01  sardzent
- added BuildRequires

Revision 1.81  2005/04/24 06:39:15  tiwek
- added smsd subpackage
- release 1.1 for tests

Revision 1.80  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.79  2004/10/27 22:33:08  qboosh
- pl fix, cosmetics

Revision 1.78  2004/10/17 22:09:29  adamg
- looks good; release 1

Revision 1.77  2004/10/17 22:00:53  adamg
- updated to 0.6.4

Revision 1.76  2004/09/30 19:12:43  adamg
- added savesms-date.patch (adds option to set message delivery datetime
  in --savesms)

Revision 1.75  2004/09/29 17:27:43  adamg
- install and package man pages too
- release 3

Revision 1.74  2004/09/21 01:04:52  ankry
- rel. 2

Revision 1.73  2004/07/23 19:39:30  qboosh
- libgnokii-devel R: XFRee86-devel (-lXpm), bluez-libs-devel

Revision 1.72  2004/07/23 14:20:06  pluto
- updated to 0.6.3.
- fixed build with posix threads (including acx_pthread from m4 subdir).

Revision 1.71  2004/04/14 07:17:06  krzak
- up to 0.6.1

Revision 1.70  2004/03/15 09:57:59  ankry
- cosmetics

Revision 1.69  2004/02/23 21:31:13  orzech
- up to 0.6.0
- adapterized

Revision 1.68  2004/02/12 11:47:46  qboosh
- libtool patch has been applied

Revision 1.67  2004/02/12 11:43:21  qboosh
- pl for -static, moved ldconfig to proper package

Revision 1.66  2004/02/12 11:39:04  wiget
- renamed gnokii-devel to libgnokii-devel
- added libgnokii.la to libgnokii-devel
- added libgnokii-static
- release 0.4

Revision 1.65  2004/02/11 16:54:30  wiget
- fixed typo in Conflicts
- release 0.3

Revision 1.64  2004/02/06 23:17:43  adgor
- Grr... previous typo

Revision 1.63  2004/02/06 23:15:44  adgor
- Fixed %%build (by qboosh)

Revision 1.61  2004/02/06 22:25:14  adgor
- Separated libgnokii
- Switched to vfolders
- Release 0.2

Revision 1.60  2004/02/02 11:44:28  orzech
- up to 0.5.10
- rel 0.1, needs ac fixes

Revision 1.59  2004/01/26 08:59:39  orzech
- fixed descriptions (from pkot)

Revision 1.58  2004/01/25 21:29:39  orzech
- started update to 0.5.9, NFY

Revision 1.57  2003/12/16 10:15:47  orzech
- up to 0.5.7

Revision 1.56  2003/11/30 19:26:58  adamg
- updated to 0.5.6

Revision 1.55  2003/11/13 17:57:56  qboosh
- changed Source0 URL - ftp.gnokii.org is updated with delay after savannah

Revision 1.54  2003/10/28 07:45:40  tiwek
- Release UP and STBR :)

Revision 1.53  2003/10/27 23:36:59  qboosh
- replated pic patch by libtool patch with full libtool support
  (now it should build both on alpha and sparc)

Revision 1.52  2003/10/27 11:36:05  qboosh
- added pic patch (should fix build on alpha)
- verify flags for gnokiirc

Revision 1.51  2003/10/08 20:31:20  orzech
- up to 0.5.5

Revision 1.50  2003/09/22 22:17:50  krzak
- Makevars.patch -  fix gettext warning about Makevars and MSGID_BUGS_ADDRESS

Revision 1.49  2003/09/22 22:10:24  krzak
- fixed md5

Revision 1.48  2003/09/22 22:04:45  krzak
- up to 0.5.4

Revision 1.47  2003/09/22 22:02:20  adamg
- updated to 0.5.3

Revision 1.46  2003/06/23 10:42:17  jareq
- fixed epoch:version issue

Revision 1.45  2003/06/13 12:03:07  orzech
- up to 0.5.2

Revision 1.44  2003/05/30 08:04:40  orzech
- up to 0.5.1, rel. 1 - works fine

Revision 1.43  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.42  2003/05/25 05:48:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/05/12 14:01:55  orzech
- updated to 0.5.0

Revision 1.40  2003/04/12 13:23:57  wiget
- updated to 0.5.0rc3
- fix versioning (add _pre to Release and set Epoch to 1)

Revision 1.39  2003/03/11 20:36:37  qboosh
- fixed devel package

Revision 1.38  2003/03/10 23:09:00  misi3k
- updated to 0.5rc1
- added subpackage devel
- rel 1

Revision 1.37  2003/02/26 09:39:59  t0tal
- added correct release, before i not change this

Revision 1.36  2003/02/25 21:29:49  t0tal
- added again bluez-libs-devel to build requires

Revision 1.35  2003/02/25 21:20:12  t0tal
added flex to build requires

Revision 1.34  2003/02/25 16:11:42  wiget
- updated to pre9
- enabled BlueTooth support
- kill xprefix
- added sendsms and ppm2nokia scripts to %%files

Revision 1.33  2003/02/25 11:30:05  qboosh
- it doesn't use automake, so don't try to run it

Revision 1.32  2003/02/11 09:46:58  orzech
- started upadte to 0.5.0pre6

Revision 1.32  2003/02/11 09:46:29  tomek
- started update to 0.5.0pre6, NFY

Revision 1.31  2002/12/02 11:06:18  ankry
- massive cleaning

Revision 1.30  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.29  2002/10/09 10:19:48  qboosh
- BR: gettext-devel

Revision 1.28  2002/09/19 14:37:16  blues
- release 4 - more docs, more macros, license fix - STBR

Revision 1.27  2002/08/28 20:46:18  mmazur
- fuck... pkot gave me a broken patch... now I've applied the fixed one
- rel3; STBR ASAP

Revision 1.26  2002/08/28 11:35:59  mmazur
- reenabled NLS (gettext)

Revision 1.25  2002/08/06 09:40:43  qboosh
- simplified, added missing dirs to -X11

Revision 1.24  2002/08/06 08:54:46  orzech
- update to 0.4.3
- fixed pld.patch
- fixed xgnokii install
- rel 1, STBR (builds, works)

Revision 1.23  2002/08/04 18:36:17  mmazur
- updated to 0.4.2a; rel1; STBR
- one silly spec fix
- changed most of DESTDIR patch into one %configure switch :)

Revision 1.22  2002/07/18 01:52:22  kloczek
- release 2: fix in %install.

Revision 1.21  2002/07/15 09:16:02  kloczek
- use new %doc,
- added png Icon and desktop file for gnokii.

Revision 1.20  2002/07/15 06:56:31  orzech
- updated to 0.4.1 (bugfix release)
- updated doc
- STBR (0.3.3 on ftp is BUGGY and unsecure)

Revision 1.19  2002/07/11 20:39:19  orzech
- updated to 0.4.0

Revision 1.18  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.17  2002/05/21 23:13:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/25 16:25:56  arturs
fixed a small typo

Revision 1.15  2002/04/15 09:01:46  orzech
- works fine - bumped rel to 1, STBR

Revision 1.14  2002/04/13 21:09:36  orzech
- snap version

Revision 1.13  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/03 20:47:26  ankry
- adding es/pt/pt_BR Group translations

Revision 1.11  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/15 15:08:31  kloczek
- added ac_gettext_fixes patch (which now allow enable using %%find_lang macro),
- added regenerate ac/gt files,

Revision 1.9  2001/10/01 08:00:47  qboosh
- adapterized, BuildRequires: autoconf, automake

Revision 1.8  2001/09/28 18:41:08  lukasz
- updated to 0.3.3

Revision 1.7  2001/07/01 13:37:01  blues
0.3.3pre24

Revision 1.6  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.5  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.4  2000/10/17 12:55:28  zagrodzki
- updated to 0.3.3_pre7

Revision 1.3  2000/10/06 18:09:29  zagrodzki
- release 2
- added README.gz

Revision 1.2  2000/07/31 17:22:47  zagrodzki
- updated to 0.3.3pre5

Revision 1.1  2000/07/30 13:39:57  zagrodzki
- initial release
